﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Acclaro.WisejEJ2Charts.AccumulationChartDefinition;

namespace Acclaro.WisejEJ2Charts
{
	public class EJ2AccumulationChartOptions
    {
        public Series[] series { get; } = new Series[1];
        public Center center { get; set; }
        public bool? enableSmartLabels { get; set; }
        public bool? enableAnimation { get; set; }
        public LegendSettings legendSettings { get; set; }
        public Tooltip tooltip { get; set; }
        public string title { get; set; }
        public bool? useGroupingSeparator { get; set; }

        internal EJ2AccumulationChartOptions()
		{

        }
    }
}


namespace Acclaro.WisejEJ2Charts.AccumulationChartDefinition
{
    public class Center
    {
        public string x { get; set; }
        public string y { get; set; }
    }

    public class DataLabel
    {
        public bool? visible { get; set; }
        public string position { get; set; }
        public string name { get; set; }
        public FontModel font { get; set; }
    }

    public class Data
    {
        public string x { get; set; }
        public int? y { get; set; }
        public string text { get; set; }
        public string r { get; set; }
    }

    public class FontModel
    {
        public string fontWeight { get; set; }
        public string color { get; set; }
        public string size { get; set; }
    }

    public class LegendSettings
    {
        public bool? visible { get; set; }
        public bool? reverse { get; set; }
        public string position { get; set; }
    }

    public class Series
    {
        public List<Data> dataSource { get; } = new List<Data>();
        public DataLabel dataLabel { get; set; }
        public string radius { get; set; }
        public string xName { get; set; }
        public string yName { get; set; }
        public int? startAngle { get; set; }
        public int? endAngle { get; set; }
        public string innerRadius { get; set; }
        public bool? explode { get; set; }
        public string explodeOffset { get; set; }
        public int? explodeIndex { get; set; }
        public string name { get; set; }
    }

    public class Tooltip
    {
        public bool? enable { get; set; }
        public string header { get; set; }
        public string format { get; set; }
    }


}