﻿using Acclaro.WisejEJ2Charts.ChartDefinition;
using System;
using System.Collections.Generic;
using System.Linq;
using Wisej.Web;

namespace Acclaro.WisejEJ2Charts
{
	public partial class EJ2Chart : Wisej.Web.UserControl
	{
		private List<object> xAxisValues;
		public EJ2ChartOptions _options { get; private set; }

		public EJ2Chart(string title, IEnumerable<object> pxAxisValues)
		{
			// just for testing purposes
			//Application.Eval("ej.base.registerLicense('')");
			
			InitializeComponent();
			xAxisValues = pxAxisValues.ToList();

			_options = new EJ2ChartOptions() { title = title };
		}

		public void Commit()
		{
			string json = _options.ToJSON(Wisej.Core.WisejSerializerOptions.IgnoreNulls);
			this.chart1.Options = Wisej.Core.WisejSerializer.Parse(json);
		}

		public LineSeries AddLineSeries(string pName, IEnumerable<object> values)
		{
			LineSeries series = new LineSeries() { dataSource = new List<LineData>(), name = pName, xName = "x", yName = "y" };

			var xValuesE = xAxisValues.GetEnumerator();
			var yValuesE = values.GetEnumerator();
			while (xValuesE.MoveNext())
			{
				if (!yValuesE.MoveNext()) break;
				series.dataSource.Add(new LineData() { x = xValuesE.Current, y = yValuesE.Current });
			}

			_options.series.Add(series);

			return series;
		}
	}
}
