﻿using Acclaro.WisejEJ2Charts.ChartDefinition;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Acclaro.WisejEJ2Charts
{
	public class EJ2ChartOptions
	{
		public PrimaryAxis primaryXAxis { get; set; } = new PrimaryAxis();
		public PrimaryAxis primaryYAxis { get; set; } = new PrimaryAxis();
		public List<LineSeries> series { get; set; } = new List<LineSeries>();
		public LegendSettings legendSettings { get; set; }
		public string title { get; set; }

		internal EJ2ChartOptions()
		{

		}
	}


}

namespace Acclaro.WisejEJ2Charts.ChartDefinition
{
    public class DataLabel
    {
        public bool? visible { get; set; }
    }

    public class LineData
    {
        public object x { get; set; }
        public object y { get; set; }
    }

    public class LegendSettings
    {
        public bool? visible { get; set; }
    }

    public class Marker
    {
        public DataLabel dataLabel { get; set; }
    }

    public class PrimaryAxis
    {
        public string valueType { get; set; }
        public string title { get; set; }
        public string labelFormat { get; set; }
        public int? minimum { get; set; }
        public int? maximum { get; set; }
        public int? interval { get; set; }
    }

    public class LineSeries
    {
        public dynamic dataSource { get; set; }
        public string xName { get; set; }
        public string yName { get; set; }
        public string name { get; set; }
        public string type { get; set; }
        public Marker marker { get; set; }
    }


}

namespace Acclaro.WisejEJ2Charts.ChartDefinition.Enums
{
    public enum AxisValueType
    {
        Double, DateTime, Category, Logarithmic
    }
    public enum ChartSeriesType
    {

        Line
        , Column
        , Area
        , Bar
        , Histogram
        , StackingColumn
        , StackingArea
        , StackingBar
        , StepLine
        , StepArea
        , Scatter
        , Spline
        , StackingColumn100
        , StackingBar100
        , StackingArea100
        , RangeColumn
        , Hilo
        , HiloOpenClose
        , Waterfall
        , RangeArea
        , SplineRangeArea
        , Bubble
        , Candle
        , Polar
        , Radar
        , BoxAndWhisker
        , Pareto
    }
}